Platform API reference

Platform API · Authentication

post/v1/auth/step-up/send-codeAuth

Email a step-up code

Sends a 6-digit code (valid 5 minutes) to the email factor. One send per 30 seconds.

Request body

factor_id*string · uuid

The email factor to send to.

Response · 200

destination_masked*string

Masked address the code went to.

code_expires_at*string · date-time

When the code stops working (5 minutes).

Example

Request

POST https://api.platform-auth.productcraft.co/v1/auth/step-up/send-code
Authorization: Bearer YOUR_TOKEN
Content-Type: application/json

{
  "factor_id": "00000000-0000-0000-0000-000000000000"
}

Response

{
  "destination_masked": "string",
  "code_expires_at": "2026-01-01T00:00:00.000Z"
}